grolbp(1)

Name
grolbp - groff output driver for Canon CaPSL printers

Synopsis
grolbp [-l] [-c num-copies] [-F font-directory] [-o orientation] [-p paper-format] [-w width] [file ...]
grolbp [--copies=num-copies ] [--fontdir=font-directory ] [--landscape ] [--linewidth=width ] [--orientation=orientation ] [--papersize=paper-format ] [file ...]
grolbp -h
grolbp --help
grolbp -v
grolbp --version

Description
This GNU roff output driver translates the output of troff(1) into a CaPSL and VDM format suitable for Canon LBP-4 and LBP-8 printers. Normally, grolbp is invoked by groff(1) when the latter is given the “-T lbp” option. (In this installation, ps is the default output device.) Use groff's -P option to pass any options shown above to grolbp. If no file arguments are given, or if file is “-”, grolbp reads the standard input stream. Output is written to the standard output stream.

  Typefaces
The driver supports the Dutch, Swiss, and Swiss-Narrow scalable typefaces, each in the regular, bold, italic, and bold-italic styles. Additionally, the bitmapped, monospaced Courier and Elite typefaces are available in regular, bold, and italic styles; Courier at 8 and 12 points, Elite at 8 and 10 points. The following chart summarizes the groff font names used to access them.

  Paper format, orientation, and device description file
grolbp supports paper formats “A4”, “letter”, “legal”, and “executive”. These are matched case-insensitively. The -p, --papersize option overrides any setting in the device description file DESC. If neither specifies a paper format, A4 is assumed.

In its DESC file, grolbp (case-insensitively) recognizes an orientation directive accepting one mandatory argument, portrait or landscape. The first valid orientation directive encountered controls. The -l, -o, and --orientation command-line options override any setting in DESC. If none of the foregoing specify the orientation, portrait is assumed.

  Font description files
In addition to the font description file directives documented in groff_font(5), grolbp recognizes lbpname, which maps the groff font name to the font name used internally by the printer. Its syntax is as follows.
        lbpname printer-font-name
lbpname's argument is case-sensitive. The printer's font names are encoded as follows.

For bitmapped fonts, printer-font_name has the form
        N⟨base-font-name⟩⟨font-style⟩
base-font-name is the font name as it appears in the printer's font listings without the first letter, up to (but not including) the font size. font-style can be one of the letters R, I, or B, indicating the roman, italic, and bold styles, respectively. For instance, if the printer's “font listing A” shows “Nelite12I.ISO_USA”, the corresponding entry in the groff font description file is
        lbpname NeliteI
You may need to modify grolbp to add support for new bitmapped fonts, since the available font names and font sizes of bitmapped fonts (as documented above) are hard-coded into the program.

For scalable fonts, printer-font-name is identical to the font name as it appears in the printer's “font listing A”. For instance, to select the “Swiss” font in bold-italic style, which appears in the font listing as “Swiss-BoldOblique”,
        lbpname Swiss-BoldOblique
is the required directive, and this is what we find in the groff font description file HBI for the lbp device.

  Drawing commands
For compatibility with grolj4(1), an additional drawing command is available.

\D'R dh dv'
    Draw a rule (solid black rectangle) with one corner at the drawing position, and the diagonally opposite corner at the drawing position +(dh,dv).

Options
-h and --help display a usage message, while -v and --version show version information; all exit afterward.

-c num-copies
--copies=num-copies
    Produce num-copies copies of each page.

-F font-directory
--fontdir=font-directory
    Prepend directory font-directory/devname to the search path for font and device description files; name is the name of the device, usually lbp.

-l
--landscape
    Format the document in landscape orientation.

-o orientation
--orientation=orientation
    Format the document in the given orientation, which must be “portrait” or “landscape”.

-p paper-format
--papersize=paper-format
    Set the paper format to paper-format, which must be a valid paper format as described above.

-w width
--linewidth=width
    Set the default line thickness to width thousandths of an em; the default is 40 (0.04 em).

Environment

GROFF_FONT_PATH
    lists directories in which to seek the selected output device's directory of device and font description files. See troff(1) and groff_font(5).

Files

/opt/local/share/groff/1.23.0/font/devlbp/DESC
    describes the lbp output device.

/opt/local/share/groff/1.23.0/font/devlbp/F
    describes the font known as F on device lbp.

/opt/local/share/groff/1.23.0/tmac/lbp.tmac
    defines macros for use with the lbp output device. It is automatically loaded by troffrc when the lbp output device is selected.

See also
groff(1), troff(1), groff_out(5), groff_font(5), groff_char(7)